std::derived_from(3cxx)

NAME
std::derived_from - [concept.derived], concept derived_from

SYNOPSIS

#include <concepts>

Concept definition

template<typename _Derived, typename _Base>
concept std::derived_from =  __is_base_of(_Base, _Derived)
      && is_convertible_v<const volatile _Derived*, const volatile _Base*>

Detailed Description

[concept.derived], concept derived_from

Author

Generated automatically by Doxygen for libstdc++ from the source code.